Skip to main content

FunctionAction

Shared request and response schema. Request: Python-only reaction action accepted with executable code and input values. The return value is ignored, so the action is used for side effects. Response: Python-only reaction action returned with executable code and input values. The return value is ignored, so the action is used for side effects.

on_failure object

Compensating action, run when this action raises. 1-depth only.

anyOf
kindrequired

Possible values: [function, notification, ontology]

kindKind (string)required
Constant value: function
languageLanguage (string)required
Constant value: python
codeCode (string)required

Python function body executed by this action.

params object

Bound parameters passed to the function

property name*any

Bound parameters passed to the function

FunctionAction
{
"on_failure": {
"kind": "ontology",
"target_id": "string",
"op": "upsert",
"values": {}
},
"kind": "function",
"language": "python",
"code": "string",
"params": {}
}